<template>
  <div class="mainapp">
    <div class="row">
      <div style="width: 30%">
        <img src="../../public/bgright.jpg" alt="" class="bg-right" dense />
      </div>
      <div style="width: 70%; position: relative">
        <div style="height: 80px" align="right">
          <div
            class="cursor-pointer q-px-md"
            style="font-size: 32px"
            @click="goToMainMenu()"
          >
            X
          </div>
        </div>
        <div class="font-24 q-px-xl">Create a project (Step 1 of 2)</div>
        <div class="font-36 q-px-xl">
          Let's start with a name for your project
        </div>
        <div class="q-pa-xl" style="width: 700px">
          <q-input v-model="projectName" label="Project name" class="font-24" />
        </div>
        <div class="q-px-xl" style="width: 700px">
          <q-input v-model="shortenURL" label="Shorten URL " class="font-24" />
        </div>
        <div class="q-pa-xl" style="width: 700px">
          <q-input v-model="projectAddress" label="Project's address" />
        </div>
        <div class="q-pt-md" style="padding-left: 40px">
          <q-checkbox label="password protection" v-model="isPassword" />
        </div>
        <div class="q-px-xl" style="width: 700px" v-show="isPassword">
          <q-input label="Password" v-model="password" class="font-24" />
        </div>

        <div class="btnMainPos">
          <q-btn
            label="Continue"
            color="secondary"
            size="xl"
            class="btnMain"
            no-caps
            @click="goToCProject2()"
          />
        </div>
      </div>
    </div>
    <footer-bar />
  </div>
</template>

<script>
import footerBar from "../components/footer.vue";
export default {
  components: { footerBar },
  data() {
    return {
      projectName: "",
      shortenURL: "",
      isPassword: false,
      password: "",
      projectAddress: "",
    };
  },
  methods: {
    goToMainMenu() {
      this.$router.push("main");
    },
    goToCProject2() {
      //Check input
      if (this.projectName.length == 0 || this.shortenURL.length == 0) {
        this.redNotify("Please input project name and shorten URL");
        return;
      }
      if (this.projectName.length <= 5) {
        this.redNotify("Project name must be at least 5 characters");
        return;
      }
      if (this.shortenURL.length <= 5) {
        this.redNotify("Shorten URL must be at least 5 characters");
        return;
      }
      if (this.shortenURL.indexOf(" ") >= 0) {
        this.redNotify("Shorten URL must not contain spaces");
        return;
      }
      if (this.isPassword) {
        if (this.password.length == 0) {
          this.redNotify("Please input password");
          return;
        }
        if (this.password.length <= 5) {
          this.redNotify("Password must be at least 5 characters");
          return;
        }
      }
      if (this.projectAddress.length <= 3) {
        this.redNotify("Please input project address");
        return;
      }
      let setup01 = {
        projectName: this.projectName,
        shortenURL: this.shortenURL,
        projectAddress: this.projectAddress,
        isPassword: this.isPassword,
        password: this.password,
      };
      this.$q.localStorage.set("set01", setup01);
      this.$router.push("createproject02");
    },
  },
};
</script>

<style lang="scss" scoped>
.mainapp {
  background-color: white;
  color: black;
  max-width: 1400px;
  width: 100%;
  margin: auto;
  font-size: 16px;
  height: 100vh;
}
.bg-right {
  width: 100%;
  height: calc(100vh - 30px);
}
.btnMainPos {
  position: absolute;
  width: 100%;
  bottom: 30px;
  text-align: right;
}
.btnMain {
  margin-right: 20px;
  width: 300px;
}
</style>
